Bug 227885

Summary: copy URL does not work correctly
Product: [Fedora] Fedora Reporter: Tom Tromey <tromey>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: patrickm, triage
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:04:19 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tom Tromey 2007-02-08 14:31:03 EST
"Copy Link Address" does not appear to work in gnome-terminal.
To reproduce:
* Open 2 gnome-terminals
* In the first, type "http://www.redhat.com/"
* Right click over the URL
* Select "Copy Link Address"

* Move to second terminal and use middle click to paste.
  I generally get whatever I had selected before.

Right click->Paste works.  But that seems weird to me, as a
rule I never use this.
Comment 1 Behdad Esfahbod 2007-02-08 15:11:51 EST
This is a wellknown issue with all X apps, no?
PRIMARY: middle click will paste whatever you last selected.
CLIPBOARD: choosing paste menu pastes whatever you copied using a copy menu.
Comment 2 Tom Tromey 2007-02-08 15:15:43 EST
I suppose so.  It is pretty unfriendly though.  It means
I have to select (which requires a bit more dexterity)
to paste a URL into emacs.  Also, the desktop is not
consistent here -- Copy Link Location does what I expect
in firefox.  I don't see a downside to changing gnome-terminal
to "select" the URL for me.  But then that may be an artifact
of how I work.
Comment 3 Bug Zapper 2008-04-04 02:09:29 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:11:47 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Tom Tromey 2008-05-06 15:48:06 EDT
Still a bug in F8.
Comment 6 Behdad Esfahbod 2008-05-09 04:02:11 EDT
Tom, it's as simple as "right-click->Paste"ing instead of middle-clicking.

If you still insist that it should copy the link in both CLIPBOARD and PRIMARY,
then this bug needs to go upstream...
Comment 7 Tom Tromey 2008-05-09 10:42:08 EDT
I will file it upstream, where it can be more conveniently closed ;)
Comment 8 Bug Zapper 2008-11-26 02:10:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:04:19 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.